Subject: Re: bug#59216: CC Mode 5.35.2 (C++//l); Incorrect fontification of "static key_map *key_map"

From: Alan Mackenzie <[email-masked]>
Date: Tue, 17 Jan 2023 19:41:37 +0000

tags 59216 wontfix
close 59216
quit

Hello, Po.

On Sat, Nov 12, 2022 at 21:09:31 +0800, Po Lu via CC-Mode-help wrote:
> Package: cc-mode

> Go to src/haiku_support.cc.  Around line 171, there will be:

> /* The keymap, or NULL if it has not been initialized.  */
> static key_map *key_map;

> the variable name will be fontified as a type!

This doesn't seem to be happening any more.  I think one of the patches
I committed a few days ago solved (or "solved") the problem.

So I'm closing this bug as won't fix.  Hopefully, it won't show itself
again.

> Emacs  : GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu)
>  of 2022-11-12
> Package: CC Mode 5.35.2 (C++//l)
> Buffer Style: gnu
> c-emacs-features: (pps-extended-state col-0-paren posix-char-classes gen-string-delim gen-comment-delim syntax-properties category-properties 1-bit)

-- 
Alan Mackenzie (Nuremberg, Germany).